Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1808339 - qcint requires Python 2 to build
Summary: qcint requires Python 2 to build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qcint
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-28 09:45 UTC by Petr Viktorin
Modified: 2020-07-23 22:45 UTC (History)
2 users (show)

Fixed In Version: qcint-3.0.20-3.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-23 22:45:53 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-28 09:45:25 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like qcint, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

Switching to Python 3 seemed easy to me (though I don't necessarily
know much about qcint). So I opened a pull request: https://src.fedoraproject.org/rpms/qcint/pull-request/1

Could you merge it?
If not, if it's possible that the Python 2 build dependency won't get
removed in Fedora 33, please let us know; the package will need
a FESCo exception.

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Miro Hrončok 2020-07-20 08:25:06 UTC
The package fails to build for unrelated reason now :/

+ /usr/bin/cmake -S . -B x86_64-redhat-linux-gnu -DCMAKE_C_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_CXX_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_Fortran_FLAGS_RELEASE:STRING=-DNDEBUG -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_INSTALL_PREFIX:PATH=/usr -DINCLUDE_INSTALL_DIR:PATH=/usr/include -DLIB_INSTALL_DIR:PATH=/usr/lib64 -DSYSCONF_INSTALL_DIR:PATH=/etc -DSHARE_INSTALL_PREFIX:PATH=/usr/share -DLIB_SUFFIX=64 -DBUILD_SHARED_LIBS:BOOL=ON -DENABLE_EXAMPLE=1 -DWITH_F12=1 -DWITH_COULOMB_ERF=1 -DWITH_RANGE_COULOMB=1 -DQUICK_TEST=1 -DBLAS_LIBRARIES=/usr/lib64/libopenblaso.so ..
-- The C compiler identification is GNU 10.1.1
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working C compiler: /usr/bin/gcc - skipped
-- Detecting C compile features
-- Detecting C compile features - done
-- Performing Test QUADMATH_FOUND
-- Performing Test QUADMATH_FOUND - Failed
-- Found BLAS: /usr/lib64/libopenblaso.so  
-- Looking for expl
-- Looking for expl - found
-- Looking for sqrtl
-- Looking for sqrtl - found
Enabled WITH_RANGE_COULOMB
Enabled WITH_COULOMB_ERF
Enabled WITH_F12
-- Configuring done
-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:
    CMAKE_CXX_FLAGS_RELEASE
    CMAKE_C_FLAGS_RELEASE
    CMAKE_Fortran_FLAGS_RELEASE
    ENABLE_EXAMPLE
    INCLUDE_INSTALL_DIR
    LIB_INSTALL_DIR
    LIB_SUFFIX
    QUICK_TEST
    SHARE_INSTALL_PREFIX
    SYSCONF_INSTALL_DIR
-- Build files have been written to: /builddir/build/BUILD/qcint-3.0.20/build/x86_64-redhat-linux-gnu
+ make -j48 VERBOSE=1
make: *** No targets specified and no makefile found.  Stop.


Note You need to log in before you can comment on or make changes to this bug.